AOZ Studio Beta - Bug #746

When using a transparent background, text does not redraw properly when over-written.
05/01/2021 11:33 AM - Brian Flanagan

Status: Closed Start date: 05/01/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B7)

Description

Example:

Screen Open 0,640,480,32,Lowres
Palette 0, SFFFFFF, SFF0000

Flash Off : Curs Off : Cls 2
Pen 1 : Paper 2 : Locate 0,4
Print "+ for increase"

Print "- for decarease"

Paper O

Screen Open 1,640,480,32,Lowres

Flash Off : Curs Off : Palette 0, SFFFFFF, $000001
Set Transparent 0 : Cls O : Pen 2 : Paper O

X=0

Do
Locate 1,1 : Print Using "####";X
IKS$=Inkey$
If IKS$S="+4+" Then X=X+10
If IKS="-" Then If X >=10 Then X=X-10
Wait Vbl

Loop

In standard writing mode the text background should be overwritten with the paper color.
In this case, that color is 0 (transparent), but it isn't working.

History

#1 - 05/05/2021 07:38 PM - David Baldwin

This is exactly how I'd expect it to behave. The text is overwritten with the paper, the new text is drawn on the paper. If the paper is transparent, then
the new text is drawn directly onto the previous text.

#2 - 07/15/2021 05:08 PM - Francois Lionet

- Status changed from New to Closed

Not a bug, this behavior is normal: AOZ DOES erase the background of the text, but as the color is transparent, you cannot see the erasure.
This is a normal behavior and it is impossible to correct.

;)

#3 - 01/01/2022 03:57 AM - Brian Flanagan

To Dave & Francois:

Perhaps that's the way it worked in AMOS, but if so, it is not logical.

Consider this analogy:

We have a LITERAL window we're painting on.
Behind this window is a red wall. (The underlying Screen)

If I paint (Print) on the window with white paint (Pen), and with blue paint in the background (Paper),
| will see white letters on a blue background, with nothing showing from the underling wall (Screen).

If | paint (Print) on the window with white paint (Pen), and with transparent "paint" in the background (Paper),

| should see, the white (Pen) text, with the red wall (underlying screen) showing through, since our Paper

color was transparent. (Painting with transparent paint is like scraping the paint off the window when it is used.)

Think about it? How do | paint a transparent color on the window? The only way is by scraping off any existing paint!
Likewise, if my Pen color is transparent, it's like scraping off the paint wherever the text is.

If it is as you say that when you use a transparent color, you can't see an erasure, that doesn't make sense.

After all, what does erasure mean? What happens when you erase a pencil mark? You REMOVE that "ink" from the page,

revealing what is underneath it!

Also, this is NOT impossible to correct! It should be relatively easy.
